- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# logmanager.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::spi
## Classes
class | LogManager
| Use the `LogManager` class to retreive Logger instances or to operate on the current LoggerRepository. More...
## Typedefs
typedef helpers::ObjectPtrT< Logger > | log4cxx::LoggerPtr
typedef std::vector< LoggerPtr > | log4cxx::LoggerList
typedef helpers::ObjectPtrT< LoggerFactory > | log4cxx::spi::LoggerFactoryPtr